Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 667352 - media-gfx/blender-2.79b-r1: add alembic (.abc) import / export support (media-gfx/alembic)
Summary: media-gfx/blender-2.79b-r1: add alembic (.abc) import / export support (media...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Adrian
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2018-09-30 10:29 UTC by Bernd
Modified: 2020-09-16 15:12 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for updated blender (blender-2.79b-r1.ebuild,8.07 KB, text/plain)
2018-09-30 10:36 UTC, Bernd
Details
blender-alembic.diff (blender-alembic.diff,1.17 KB, text/plain)
2019-06-17 12:40 UTC, Bernd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd 2018-09-30 10:29:36 UTC
Now that we have media-gfx/alembic in the tree, I'd like to ask to add an alembic USE flag to add import / export support for alembic (.abc) files to blender.

Blender supports this file format for at least since version 2.79, please see also https://wiki.blender.org/wiki/Reference/Release_Notes/2.79/Alembic

I managed to include this in my overlay and can prepare a PR if the change get's approved. I tested it by importing the Emily 2.1 scene file from the digitalhuman project (see http://gl.ict.usc.edu/Research/DigitalEmily2/).
Comment 1 Bernd 2018-09-30 10:36:25 UTC
Created attachment 548400 [details]
ebuild for updated blender

My current blender ebuild patched to add media-gfx/alembic support
Comment 2 Bernd 2019-06-17 12:40:25 UTC
Created attachment 579970 [details]
blender-alembic.diff

Diff of the ebuild w/ respect to the current blender-2.79b-r1.ebuild
Comment 3 Bernd 2019-06-17 12:41:28 UTC
Due to no response so far, I'm going to prepare a PR for this.
Comment 4 Larry the Git Cow gentoo-dev 2020-08-24 13:42:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cca9b716491a91b496106a19df4e5f554b6a1717

commit cca9b716491a91b496106a19df4e5f554b6a1717
Author:     Adrian Grigo <agrigo2001@yahoo.com.au>
AuthorDate: 2020-08-22 01:08:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-24 13:41:55 +0000

    media-gfx/blender: Version bump to 2.83.4
    
    Blender 2.83.4 works with python 3.7. It may compile with 3.8, but
    blender only supports 3.7 officially as it follows the VFX Reference
    Platform to ensure that user add ons are not broken in the process.
    They plan to introduce 3.8 support in 2021.
    
    New features include a new interface, the realtime eevee renderer,
    and importing openvdb files created by other packages among others.
    Game engine and Blender Player were removed in 2.80.
    
    Bug fixes in this version are alembic support, upstream fixes for
    opencollada, requiring openjpeg:2 to avoid security issues, and
    mimeinfo cache is correctly updated. Where these issues remain in
    blender 2.79b, the bug is linked but should be closed only when
    blender 2.79b is removed.
    
    On my system the docs do not currently compile,
    and the polyfill2d test still fails like 2.79b.
    
    Blender 2.83 support for draco, embree, oidn, usd and openxr is not yet
    implemented pending development of ebuilds for these packages.
    
    Signed-off-by: Adrian Grigo <agrigo2001@yahoo.com.au>
    Bug: https://bugs.gentoo.org/667352
    Bug: https://bugs.gentoo.org/735590
    Bug: https://bugs.gentoo.org/718772
    Closes: https://bugs.gentoo.org/737388
    Closes: https://bugs.gentoo.org/689740
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/blender/Manifest                         |   1 +
 media-gfx/blender/blender-2.83.4.ebuild            | 316 +++++++++++++++++++++
 .../blender/files/blender-fix-install-rules.patch  |  16 --
 media-gfx/blender/metadata.xml                     |  22 ++
 4 files changed, 339 insertions(+), 16 deletions(-)